Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.phaseresolver
Class PhaseMetadata

    java.lang.Object
      org.apache.axis2.phaseresolver.PhaseMetadata

    public class PhaseMetadata

extends Object

Class PhaseMetadata

Field Summary
`static int` | `FAULT_IN_FLOW`
`static int` | `FAULT_OUT_FLOW`
`static int` | `IN_FLOW`
`static int` | `OUT_FLOW`
`static String` | `PHASE_DISPATCH`
`static String` | `PHASE_MESSAGE_OUT`
`static String` | `PHASE_MESSAGE_PROCESSING`
`static String` | `PHASE_POLICY_DETERMINATION`
`static String` | `PHASE_POST_DISPATCH`
`static String` | `PHASE_PRE_DISPATCH`
`static String` | `PHASE_TRANSPORT_OUT`
`static String` | `PHASE_TRANSPORTIN`
`static String` | `TRANSPORT_PHASE`

Constructor Summary
`PhaseMetadata()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IN_FLOW

    public static final int IN_FLOW

See Also:
  Constant Field Values

### OUT_FLOW

    public static final int OUT_FLOW

See Also:
  Constant Field Values

### FAULT_OUT_FLOW

    public static final int FAULT_OUT_FLOW

See Also:
  Constant Field Values

### FAULT_IN_FLOW

    public static final int FAULT_IN_FLOW

See Also:
  Constant Field Values

### PHASE_TRANSPORTIN

    public static final String PHASE_TRANSPORTIN

See Also:
  Constant Field Values

### PHASE_PRE_DISPATCH

    public static final String PHASE_PRE_DISPATCH

See Also:
  Constant Field Values

### PHASE_POST_DISPATCH

    public static final String PHASE_POST_DISPATCH

See Also:
  Constant Field Values

### PHASE_POLICY_DETERMINATION

    public static final String PHASE_POLICY_DETERMINATION

See Also:
  Constant Field Values

### PHASE_MESSAGE_PROCESSING

    public static final String PHASE_MESSAGE_PROCESSING

See Also:
  Constant Field Values

### PHASE_MESSAGE_OUT

    public static final String PHASE_MESSAGE_OUT

See Also:
  Constant Field Values

### PHASE_DISPATCH

    public static final String PHASE_DISPATCH

See Also:
  Constant Field Values

### PHASE_TRANSPORT_OUT

    public static final String PHASE_TRANSPORT_OUT

See Also:
  Constant Field Values

### TRANSPORT_PHASE

    public static final String TRANSPORT_PHASE

See Also:
  Constant Field Values

Constructor Detail

### PhaseMetadata

    public PhaseMetadata()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.